Name:           lightning
Version:        1.2
Release:        11%{?dist}
Summary:        Library for generating assembly code on run time

Group:          Development/Libraries
License:        LGPLv2.1
URL:            http://www.gnu.org/software/lightning/lightning.html
Source0:        ftp://alpha.gnu.org/pub/gnu/lightning/lightning-%{version}.tar.gz
Patch1:		lightning-1.2-execstack.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:	%{ix86} ppc sparc

BuildRequires:	prelink

Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info
	 
%description
GNU lightning is a library to aid in making portable programs
that compiles assembly code at run time.

%prep
%setup -q 
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/install-info %{_infodir}/lightning.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/lightning.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%{_bindir}/lightningize
%{_includedir}/lightning/
%{_datadir}/aclocal/lightning.m4
%dir %{_datadir}/lightning
%{_datadir}/lightning/Makefile.am
%{_mandir}/man1/lightningize.1.gz
%{_infodir}/lightning.info.gz

%doc AUTHORS ChangeLog COPYING COPYING.DOC COPYING.LESSER NEWS README THANKS


%changelog
* Sun Aug 12 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-11
- Changing license tag

* Thu Jul  5 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-9
- Add prelink as a BR

* Wed Jul  4 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-8
- Fix ppc execstack issue (#246732)

* Wed Jul  4 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-7
- Exclude ppc architecture (#246732)

* Tue Jun 26 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2-6
- Downgrade because compiling issues
 
* Thu Jun 21 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2a-4
- Increase release number

* Mon May 21 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2a-3
- Changing summary of the Package (#240230)

* Wed Nov 29 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.2a-2
- New upstream version

* Sun Sep  3 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.2-4
- Rebuild for FC-6

* Mon Feb 20 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.2-3
- Remove %%{_infodir}/dir

* Sun Feb 19 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.2-2
- Fix buildRequires
- rmove %%{_infodir}/dir file

* Sun Dec  4 2005 Jochen Schmitt <Jochen herr-schmitt de> 1.2-1
- Initial RPM
